#!/bin/bash

########################################################
# CONFIGURATION
########################################################
# UNITY   = f for fahrenheit, c for celsius or k for kelvin   
# API_KEY = free register in https://openweathermap.org
#           and get your token
# CITY    = your city name
# COUNTRY = your country abbreviation: us, ru, br, etc..
# zdroj : http://github.com/luizfnunes
########################################################

UNITY="c"
API_KEY="fda5d52eb41f63b6db4534d35a50c613"
CITY="Ústí nad Labem"
COUNTRY="cz"

########################################################
rm ~/.cache/weather.txt
CITY=$(echo $CITY | sed -e 's/ /%20/g')
if [ $UNITY == "k" ]
then
	UNITY="default"
elif [ $UNITY == "c" ]
then
	UNITY="metric"
elif [ $UNITY == "f" ]
then
	UNITY="imperial"
else
	UNITY="default"
fi
verify=$(which curl 2> /dev/null)
if [ "$verify" == "" ]
then
	echo "Dependency not found! Please install curl library!"
	exit
fi
url="http://api.openweathermap.org/data/2.5/weather?APPID=$API_KEY&q=$CITY,$COUNTRY&units=$UNITY"
status=$(curl -I -s "$url" | head -1 | cut -d" " -f2)
if [ "$status" != "200" ]
then
	echo "Connection error!"
	exit
fi
data=$(curl -s "$url" | sed -e 's/}//g' | sed -e 's/{//g' | sed -e 's/\[//g' | sed -e 's/\]//g' | sed -e 's/"//g')
city=$(echo $data | sed -e 's/,/\n/g' | grep name | cut -d":" -f2)
country=$(echo $data | sed -e 's/,/\n/g' | grep country | cut -d":" -f3)
temp=$(echo $data | sed -e 's/,/\n/g' | grep temp | sed -e 's/ /\n/g' | cut -d":" -f3)
description=$(echo $data | sed -e 's/,/\n/g' | grep description | cut -d":" -f2)
temp_min=$(echo $data | sed -e 's/,/\n/g' | grep temp_min | cut -d":" -f2)
temp_max=$(echo $data | sed -e 's/,/\n/g' | grep temp_max | cut -d":" -f2)
humidity=$(echo $data | sed -e 's/,/\n/g' | grep humidity | cut -d":" -f2)
pressure=$(echo $data | sed -e 's/,/\n/g' | grep pressure | cut -d":" -f2)
wind=$(echo $data | sed -e 's/,/\n/g' | grep wind | cut -d":" -f3)
update=$(date +"%Y-%m-%d %H:%M")
echo -e "city>$city\ncountry>$country\ntemp>$temp\ndescription>$description\nmin>$temp_min\nmax>$temp_max\nhumidity>$humidity\npressure>$pressure\nwind>$wind\nupdate>$update" > ~/.cache/weather.txt

##############################################################################################################################
############################################ IKONY POCASI ####################################################################
##############################################################################################################################

if [ "$description" == "clear sky" ]
then
	cd ~/.config/conky/conky_pocasi/ico/
	rm weather.png
	cd ~/.config/conky/conky_pocasi/ico_weather/
	cp jasno_n1.png ~/.config/conky/conky_pocasi/ico
	cd ~/.config/conky/conky_pocasi/ico
	mv jasno_n1.png weather.png

elif [ "$description" == "few clouds" ] # 11 - 25%
then
	cd ~/.config/conky/conky_pocasi/ico/
	rm weather.png
	cd ~/.config/conky/conky_pocasi/ico_weather
	cp polojasno_n1.png ~/.config/conky/conky_pocasi/ico/
	cd ~/.config/conky/conky_pocasi/ico
	mv polojasno_n1.png weather.png

elif [ "$description" == "scattered clouds" ] # 25 - 50%
then
	cd ~/.config/conky/conky_pocasi/ico/
	rm weather.png
	cd ~/.config/conky/conky_pocasi/ico_weather
	cp oblacno_n1.png ~/.config/conky/conky_pocasi/ico/
	cd ~/.config/conky/conky_pocasi/ico
	mv oblacno_n1.png weather.png

elif [ "$description" == "broken clouds" ] # 51 -84%
then
	cd ~/.config/conky/conky_pocasi/ico/
	rm weather.png
	cd ~/.config/conky/conky_pocasi/ico_weather
	cp oblacno_n1.png ~/.config/conky/conky_pocasi/ico/
	cd ~/.config/conky/conky_pocasi/ico
	mv oblacno_n1.png weather.png

elif [ "$description" == "overcast clouds" ] # 85 - 100%
then
	cd ~/.config/conky/conky_pocasi/ico/
	rm weather.png
	cd ~/.config/conky/conky_pocasi/ico_weather/
	cp zatazeno1.png ~/.config/conky/conky_pocasi/ico
	cd ~/.config/conky/conky_pocasi/ico
	mv zatazeno1.png weather.png

elif [ "$description" == "light rain" ]
then
	cd ~/.config/conky/conky_pocasi/ico/
	rm weather.png
	cd ~/.config/conky/conky_pocasi/ico_weather
	cp slaby_dest1.png ~/.config/conky/conky_pocasi/ico/
	cd ~/.config/conky/conky_pocasi/ico
	mv slaby_dest1.png weather.png

elif [ "$description" == "rain" ]
then
	cd ~/.config/conky/conky_pocasi/ico/
	rm weather.png
	cd ~/.config/conky/conky_pocasi/ico_weather
	cp dest1.png ~/.config/conky/conky_pocasi/ico/
	cd ~/.config/conky/conky_pocasi/ico
	mv dest1.png weather.png

elif [ "$description" == "thunderstorm" ]
then
	cd ~/.config/conky/conky_pocasi/ico/
	rm weather.png
	cd ~/.config/conky/conky_pocasi/ico_weather
	cp bourka1.png ~/.config/conky/conky_pocasi/ico/
	cd ~/.config/conky/conky_pocasi/ico
	mv bourka1.png weather.png

elif [ "$description" == "mist" ]
then
	cd ~/.config/conky/conky_pocasi/ico/
	rm weather.png
	cd ~/.config/conky/conky_pocasi/ico_weather
	cp mlha1.png ~/.config/conky/conky_pocasi/ico/
	cd ~/.config/conky/conky_pocasi/ico
	mv mlha1.png weather.png

elif [ "$description" == "rain and snow" ]
then
	cd ~/.config/conky/conky_pocasi/ico/
	rm weather.png
	cd ~/.config/conky/conky_pocasi/ico_weather
	cp dest_snih1.png ~/.config/conky/conky_pocasi/ico/
	cd ~/.config/conky/conky_pocasi/ico
	mv dest_snih1.png weather.png

elif [ "$description" == "light snow" ]
then
	cd ~/.config/conky/conky_pocasi/ico/
	rm weather.png
	cd ~/.config/conky/conky_pocasi/ico_weather
	cp snezeni1.png ~/.config/conky/conky_pocasi/ico/
	cd ~/.config/conky/conky_pocasi/ico
	mv snezeni1.png weather.png

elif [ "$description" == "snow" ]
then
	cd ~/.config/conky/conky_pocasi/ico/
	rm weather.png
	cd ~/.config/conky/conky_pocasi/ico_weather
	cp snow1.png ~/.config/conky/conky_pocasi/ico/
	cd ~/.config/conky/conky_pocasi/ico
	mv snow1.png weather.png

fi
